var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { forwardRef } from "react";
import cn from "classnames";
import { bem } from "@react-md/utils";
var block = bem("rmd-dialog");
/**
 * This component doesn't do anything to complex. It really just applies custom styles
 * so that when the `DialogContent` component is used, the header will be "fixed" to the
 * top of the dialog while the content scrolls. It also applies some minimal padding.
 */
var DialogHeader = function (_a) {
    var children = _a.children, className = _a.className, forwardedRef = _a.forwardedRef, props = __rest(_a, ["children", "className", "forwardedRef"]);
    return (React.createElement("header", __assign({}, props, { className: cn(block("header"), className), ref: forwardedRef }), children));
};
if (process.env.NODE_ENV !== "production") {
    DialogHeader.displayName = "DialogHeader";
    var PropTypes = null;
    try {
        PropTypes = require("prop-types");
    }
    catch (e) { }
    if (PropTypes) {
        DialogHeader.propTypes = {
            className: PropTypes.string,
            children: PropTypes.node,
            forwardedRef: PropTypes.oneOfType([PropTypes.func, PropTypes.object]),
        };
    }
}
export default forwardRef(function (props, ref) { return (React.createElement(DialogHeader, __assign({}, props, { forwardedRef: ref }))); });
//# sourceMappingURL=DialogHeader.js.map